Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbTask

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbTask

All Implemented Interfaces:
  Externalizable, Serializable, Task, org.kie.internal.task.api.model.InternalTask

    public class JaxbTask

extends Object
implements org.kie.internal.task.api.model.InternalTask

See Also:
  Serialized Form

Constructor Summary
`JaxbTask()`
`JaxbTask(Task task)`

Method Summary
`org.kie.internal.task.api.model.Deadlines` | `getDeadlines()`
`org.kie.internal.task.api.model.Delegation` | `getDelegation()`
`String` | `getDescription()`
`List<I18NText>` | `getDescriptions()`
`String` | `getFormName()`
`Long` | `getId()`
`List<JaxbI18NText>` | `getJaxbDescriptions()`
`List<JaxbI18NText>` | `getJaxbNames()`
`JaxbPeopleAssignments` | `getJaxbPeopleAssignments()`
`List<JaxbI18NText>` | `getJaxbSubjects()`
`JaxbTaskData` | `getJaxbTaskData()`
`String` | `getName()`
`List<I18NText>` | `getNames()`
`PeopleAssignments` | `getPeopleAssignments()`
`int` | `getPriority()`
`String` | `getSubject()`
`List<I18NText>` | `getSubjects()`
`org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTaskStrategy()`
`Task` | `getTask()`
`TaskData` | `getTaskData()`
`String` | `getTaskType()`
`int` | `getVersion()`
`void` | `initialize(Task task)`
`Boolean` | `isArchived()`
`void` | `readExternal(ObjectInput arg0)`
`void` | `setArchived(Boolean archived)`
`void` | `setDeadlines(org.kie.internal.task.api.model.Deadlines deadlines)`
`void` | `setDelegation(org.kie.internal.task.api.model.Delegation delegation)`
`void` | `setDescription(String description)`
`void` | `setDescriptions(List<I18NText> descriptions)`
`void` | `setFormName(String formName)`
`void` | `setId(long id)`
`void` | `setJaxbDescriptions(List<JaxbI18NText> descriptions)`
`void` | `setJaxbNames(List<JaxbI18NText> names)`
`void` | `setJaxbPeopleAssignments(JaxbPeopleAssignments jaxbPeopleAssignments)`
`void` | `setJaxbSubjects(List<JaxbI18NText> subjects)`
`void` | `setJaxbTaskData(JaxbTaskData jaxbTaskData)`
`void` | `setName(String name)`
`void` | `setNames(List<I18NText> names)`
`void` | `setPeopleAssignments(PeopleAssignments peopleAssignments)`
`void` | `setPriority(int priority)`
`void` | `setSubject(String subject)`
`void` | `setSubjects(List<I18NText> subjects)`
`void` | `setSubTaskStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)`
`void` | `setTaskData(TaskData taskData)`
`void` | `setTaskType(String taskType)`
`void` | `setVersion(Integer version)`
`void` | `writeExternal(ObjectOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbTask

    public JaxbTask()

### JaxbTask

    public JaxbTask(Task task)

Method Detail

### initialize

    public void initialize(Task task)

### getId

    public Long getId()

  Specified by:
    `getId` in interface `Task`

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `org.kie.internal.task.api.model.InternalTask`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `Task`

### setPriority

    public void setPriority(int priority)

  Specified by:
    `setPriority` in interface `org.kie.internal.task.api.model.InternalTask`

### getJaxbNames

    public List<JaxbI18NText> getJaxbNames()

### setJaxbNames

    public void setJaxbNames(List<JaxbI18NText> names)

### getNames

    public List<I18NText> getNames()

  Specified by:
    `getNames` in interface `Task`

### setNames

    public void setNames(List<I18NText> names)

  Specified by:
    `setNames` in interface `org.kie.internal.task.api.model.InternalTask`

### getJaxbSubjects

    public List<JaxbI18NText> getJaxbSubjects()

### setJaxbSubjects

    public void setJaxbSubjects(List<JaxbI18NText> subjects)

### getSubjects

    public List<I18NText> getSubjects()

  Specified by:
    `getSubjects` in interface `Task`

### setSubjects

    public void setSubjects(List<I18NText> subjects)

  Specified by:
    `setSubjects` in interface `org.kie.internal.task.api.model.InternalTask`

### getJaxbDescriptions

    public List<JaxbI18NText> getJaxbDescriptions()

### setJaxbDescriptions

    public void setJaxbDescriptions(List<JaxbI18NText> descriptions)

### getDescriptions

    public List<I18NText> getDescriptions()

  Specified by:
    `getDescriptions` in interface `Task`

### setDescriptions

    public void setDescriptions(List<I18NText> descriptions)

  Specified by:
    `setDescriptions` in interface `org.kie.internal.task.api.model.InternalTask`

### getJaxbPeopleAssignments

    public JaxbPeopleAssignments getJaxbPeopleAssignments()

### setJaxbPeopleAssignments

    public void setJaxbPeopleAssignments(JaxbPeopleAssignments jaxbPeopleAssignments)

### getPeopleAssignments

    public PeopleAssignments getPeopleAssignments()

  Specified by:
    `getPeopleAssignments` in interface `Task`

### setPeopleAssignments

    public void setPeopleAssignments(PeopleAssignments peopleAssignments)

  Specified by:
    `setPeopleAssignments` in interface `org.kie.internal.task.api.model.InternalTask`

### getTaskData

    public TaskData getTaskData()

  Specified by:
    `getTaskData` in interface `Task`

### setTaskData

    public void setTaskData(TaskData taskData)

  Specified by:
    `setTaskData` in interface `org.kie.internal.task.api.model.InternalTask`

### getJaxbTaskData

    public JaxbTaskData getJaxbTaskData()

### setJaxbTaskData

    public void setJaxbTaskData(JaxbTaskData jaxbTaskData)

### getTaskType

    public String getTaskType()

  Specified by:
    `getTaskType` in interface `Task`

### setTaskType

    public void setTaskType(String taskType)

  Specified by:
    `setTaskType` in interface `org.kie.internal.task.api.model.InternalTask`

### getDeadlines

    public org.kie.internal.task.api.model.Deadlines getDeadlines()

  Specified by:
    `getDeadlines` in interface `org.kie.internal.task.api.model.InternalTask`

### setDeadlines

    public void setDeadlines(org.kie.internal.task.api.model.Deadlines deadlines)

  Specified by:
    `setDeadlines` in interface `org.kie.internal.task.api.model.InternalTask`

### getTask

    public Task getTask()

### setFormName

    public void setFormName(String formName)

  Specified by:
    `setFormName` in interface `org.kie.internal.task.api.model.InternalTask`

### getFormName

    public String getFormName()

  Specified by:
    `getFormName` in interface `org.kie.internal.task.api.model.InternalTask`

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### isArchived

    public Boolean isArchived()

  Specified by:
    `isArchived` in interface `org.kie.internal.task.api.model.InternalTask`

### setArchived

    public void setArchived(Boolean archived)

  Specified by:
    `setArchived` in interface `org.kie.internal.task.api.model.InternalTask`

### setVersion

    public void setVersion(Integer version)

### getVersion

    public int getVersion()

  Specified by:
    `getVersion` in interface `org.kie.internal.task.api.model.InternalTask`

### getDelegation

    public org.kie.internal.task.api.model.Delegation getDelegation()

  Specified by:
    `getDelegation` in interface `org.kie.internal.task.api.model.InternalTask`

### setDelegation

    public void setDelegation(org.kie.internal.task.api.model.Delegation delegation)

  Specified by:
    `setDelegation` in interface `org.kie.internal.task.api.model.InternalTask`

### getSubTaskStrategy

    public org.kie.internal.task.api.model.SubTasksStrategy getSubTaskStrategy()

  Specified by:
    `getSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTask`

### setSubTaskStrategy

    public void setSubTaskStrategy(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)

  Specified by:
    `setSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTask`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Task`

### getSubject

    public String getSubject()

  Specified by:
    `getSubject` in interface `Task`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Task`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `org.kie.internal.task.api.model.InternalTask`

### setSubject

    public void setSubject(String subject)

  Specified by:
    `setSubject` in interface `org.kie.internal.task.api.model.InternalTask`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `org.kie.internal.task.api.model.InternalTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.